Ant (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Ant class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Ant

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Ant

public class Ant
extends Task

Build a sub-project.

      <target name="foo" depends="init">
        <ant antfile="build.xml" target="bar" >
          <property name="property1" value="aaaaa" />
          <property name="foo" value="baz" />
        </ant>
      </target>

      <target name="bar" depends="init">
        <echo message="prop is ${property1} ${foo}" />
      </target>

Since:
  Ant 1.1
Author:
  Costin Manolache

Nested Class Summary
`static class` | `Ant.Reference` Helper class that implements the nested <reference> element of <ant> and <antcall>.

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Ant()`

Method Summary
`void` | `addReference(Ant.Reference r)` Reference element identifying a data type to carry over to the new project.
`Property` | `createProperty()` Property to pass to the new project.
`void` | `execute()` Do the execution.
`void` | `handleErrorFlush(java.lang.String line)` Pass output sent to System.err to the new project.
`void` | `handleErrorOutput(java.lang.String line)` Pass output sent to System.err to the new project.
`void` | `handleFlush(java.lang.String line)` Pass output sent to System.out to the new project.
`void` | `handleOutput(java.lang.String line)` Pass output sent to System.out to the new project.
`void` | `init()` Creates a Project instance for the project to call.
`void` | `setAntfile(java.lang.String s)` The build file to use.
`void` | `setDir(java.io.File d)` The directory to use as a base directory for the new Ant project.
`void` | `setInheritAll(boolean value)` If true, pass all properties to the new Ant project.
`void` | `setInheritRefs(boolean value)` If true, pass all references to the new Ant project.
`void` | `setOutput(java.lang.String s)` Filename to write the output to.
`void` | `setTarget(java.lang.String s)` The target of the new Ant project to execute.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ant

    public Ant()

Method Detail

### setInheritAll

    public void setInheritAll(boolean value)

  If true, pass all properties to the new Ant project. Defaults to true.

### setInheritRefs

    public void setInheritRefs(boolean value)

  If true, pass all references to the new Ant project. Defaults to false.

### init

    public void init()

  Creates a Project instance for the project to call.

  Overrides:
    `init` in class `Task`

### handleOutput

    public void handleOutput(java.lang.String line)

  Pass output sent to System.out to the new project.

  Overrides:
    `handleOutput` in class `Task`
  Parameters:
    `line` - The line of output to log. Should not be `null`.
  Since:
    Ant 1.5

### handleFlush

    public void handleFlush(java.lang.String line)

  Pass output sent to System.out to the new project.

  Overrides:
    `handleFlush` in class `Task`
  Parameters:
    `line` - The line of output to log. Should not be `null`.
  Since:
    Ant 1.5.2

### handleErrorOutput

    public void handleErrorOutput(java.lang.String line)

  Pass output sent to System.err to the new project.

  Overrides:
    `handleErrorOutput` in class `Task`
  Parameters:
    `line` - The error line to log. Should not be `null`.
  Since:
    Ant 1.5

### handleErrorFlush

    public void handleErrorFlush(java.lang.String line)

  Pass output sent to System.err to the new project.

  Overrides:
    `handleErrorFlush` in class `Task`
  Parameters:
    `line` - The error line to log. Should not be `null`.
  Since:
    Ant 1.5.2

### execute

    public void execute()
                 throws BuildException

  Do the execution.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setDir

    public void setDir(java.io.File d)

  The directory to use as a base directory for the new Ant project. Defaults to the current project's basedir, unless inheritall has been set to false, in which case it doesn't have a default value. This will override the basedir setting of the called project.

### setAntfile

    public void setAntfile(java.lang.String s)

  The build file to use. Defaults to "build.xml". This file is expected to be a filename relative to the dir attribute given.

### setTarget

    public void setTarget(java.lang.String s)

  The target of the new Ant project to execute. Defaults to the new project's default target.

### setOutput

    public void setOutput(java.lang.String s)

  Filename to write the output to. This is relative to the value of the dir attribute if it has been set or to the base directory of the current project otherwise.

### createProperty

    public Property createProperty()

  Property to pass to the new project. The property is passed as a 'user property'

### addReference

    public void addReference(Ant.Reference r)

  Reference element identifying a data type to carry over to the new project.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.